Delete LLM provider configuration
curl --request DELETE \
--url https://api.example.com/v1/llm-provider/{provider} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/v1/llm-provider/{provider}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/v1/llm-provider/{provider}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}LLM Providers
Delete LLM Provider
DELETE
/
v1
/
llm-provider
/
{provider}
Delete LLM provider configuration
Delete an LLM provider configuration.
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| provider | string | yes | The provider to delete configuration for (e.g., openai, anthropic) |
Response Examples
Success Response
{
"provider": "openai"
}
Provider Not Found
{
"error": {
"code": "NOT_FOUND",
"message": "No configuration found for provider: openai"
}
}
Usage Example
curl -X DELETE "https://api.psci.ai/api/v1/llm-provider/openai" \
-H "Authorization: Bearer ${API_KEY}"
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The LLM provider to delete configuration for The provider to use for LLM access
Available options:
openai, anthropic, google, google-vertex, azure, amazon-bedrock, xai Response
OK
The provider to use for LLM access
Available options:
openai, anthropic, google, google-vertex, azure, amazon-bedrock, xai ⌘I

